StableOps
API 参考

Retrieve an x402 payment intent

GET/v1/agent-payments/runtime/intents/{intentId}

Authorization

agentKey
AuthorizationBearer <token>

Paste the Agent Key bound to one payment agent. Agent Keys only work on Runtime endpoints.

In: header

Response Body

application/json

curl -X GET "https://example.com/v1/agent-payments/runtime/intents/{intentId}"
{
  "intent_id": "string",
  "status": "created",
  "approval_id": "string",
  "approval_expires_at": "2019-08-24T14:15:22Z",
  "resource_status": "not_requested",
  "method": "GET",
  "resource_url": "string",
  "origin": "string",
  "pay_to": "string",
  "network": "string",
  "asset": "USDC",
  "asset_contract": "string",
  "asset_decimals": 1,
  "max_amount_atomic": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "settled_at": "2019-08-24T14:15:22Z",
  "requirements": {
    "x402_version": 2,
    "scheme": "exact",
    "network": "string",
    "asset": "string",
    "pay_to": "string",
    "max_amount_atomic": "string",
    "max_timeout_seconds": 1,
    "extra": {
      "property1": null,
      "property2": null
    }
  }
}
Empty

这篇文档怎么样?

最后更新